Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.logging
Class SessionLogEntry

`java.lang.Object
oracle.toplink.sessions.SessionLogEntry
oracle.toplink.logging.SessionLogEntry`

All Implemented Interfaces:
  java.io.Serializable

public class SessionLogEntry
extends SessionLogEntry

SessionLogEntry is a simple container object that holds all the information pertinent to a TopLink logging event. It has a date/time stamp indicating when the event took place. It holds the session, thread, and accessor responsible for the event. And it holds whatever message was passed through to be logged.

Since:
  TOPLink/Java 3.0
See Also:
  `SessionLog`, `DefaultSessionLog`, Serialized Form

Constructor Summary
`SessionLogEntry(int level, Session session, java.lang.String message, java.lang.Object[] params, Accessor connection, boolean shouldTranslate)` PUBLIC: Create a new session log entry for a request level, a session, a message and an accessor
`SessionLogEntry(int level, java.lang.String category, Session session, java.lang.String message, java.lang.Object[] params, Accessor connection, boolean shouldTranslate)` PUBLIC: Create a new session log entry for a request level, a session, a message and an accessor
`SessionLogEntry(Session session)` PUBLIC: Create a new session log entry for a session
`SessionLogEntry(Session session, int level, java.lang.String category, java.lang.Throwable throwable)` PUBLIC: Create a new session log entry for a session, a level, a category and an exception
`SessionLogEntry(Session session, java.lang.String message)` PUBLIC: Create a new session log entry for a session and a message
`SessionLogEntry(Session session, java.lang.String message, Accessor connection)` PUBLIC: Create a new session log entry for a session, a message and an accessor
`SessionLogEntry(Session session, java.lang.String message, boolean isDebug, Accessor connection)` Deprecated. replaced by SessionLogEntry(int level, Session session, String message, Object[] params, Accessor connection, boolean shouldTranslate)
`SessionLogEntry(Session session, java.lang.Throwable throwable)` PUBLIC: Create a new session log entry for a session and an exception

Method Summary
`Accessor` | `getConnection()` PUBLIC: Return the connection that generated the log entry.
`java.util.Date` | `getDate()` PUBLIC: Return the date of the log entry.
`java.lang.Throwable` | `getException()` PUBLIC: Return the exception that caused the log entry.
`int` | `getLevel()` PUBLIC: Return the request level of the log entry.
`java.lang.String` | `getMessage()` PUBLIC: Return the log entry's message.
`java.lang.String` | `getNameSpace()` PUBLIC: Return the name space of the log entry.
`java.lang.Object[]` | `getParameters()` PUBLIC: Return the array of parameters to the message.
`Session` | `getSession()` PUBLIC: Return the session that generated the log entry.
`java.lang.Thread` | `getThread()` PUBLIC: Return the thread that was active when the log entry was generated.
`boolean` | `hasException()` PUBLIC: Return if the log entry was for an exception.
`void` | `setConnection(Accessor connection)` PUBLIC: Set the connection that generated the log entry.
`void` | `setDate(java.util.Date date)` PUBLIC: Set the date of the log entry.
`void` | `setException(java.lang.Throwable throwable)` PUBLIC: Set the exception that caused the log entry.
`void` | `setLevel(int level)` PUBLIC: Set the request level of the log entry.
`void` | `setMessage(java.lang.String message)` PUBLIC: Set the entry's message.
`void` | `setNameSpace(java.lang.String nameSpace)` PUBLIC: Set the name space of the log entry.
`void` | `setParameters(java.lang.Object[] params)` PUBLIC: Set the array of parameters to the message.
`void` | `setSession(Session session)` PUBLIC: Set the session that generated the log entry.
`void` | `setShouldTranslate(boolean shouldTranslate)` PUBLIC: Set if the message should be translated.
`void` | `setThread(java.lang.Thread thread)` PUBLIC: Set the thread that was active when the log entry was generated.
`boolean` | `shouldTranslate()` PUBLIC: Return if the message should be translated.
`java.lang.String` | `toString()` PUBLIC: Print message.

Methods inherited from class oracle.toplink.sessions.SessionLogEntry
`isDebug, setIsDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionLogEntry

    public SessionLogEntry(Session session)

  PUBLIC: Create a new session log entry for a session

### SessionLogEntry

    public SessionLogEntry(Session session,
                           java.lang.Throwable throwable)

  PUBLIC: Create a new session log entry for a session and an exception

### SessionLogEntry

    public SessionLogEntry(Session session,
                           java.lang.String message)

  PUBLIC: Create a new session log entry for a session and a message

### SessionLogEntry

    public SessionLogEntry(Session session,
                           java.lang.String message,
                           Accessor connection)

  PUBLIC: Create a new session log entry for a session, a message and an accessor

### SessionLogEntry

    public SessionLogEntry(Session session,
                           java.lang.String message,
                           boolean isDebug,
                           Accessor connection)

  Deprecated. replaced by SessionLogEntry(int level, Session session, String message, Object[] params, Accessor connection, boolean shouldTranslate)
  OBSOLETE:

### SessionLogEntry

    public SessionLogEntry(int level,
                           Session session,
                           java.lang.String message,
                           java.lang.Object[] params,
                           Accessor connection,
                           boolean shouldTranslate)

  PUBLIC: Create a new session log entry for a request level, a session, a message and an accessor

### SessionLogEntry

    public SessionLogEntry(int level,
                           java.lang.String category,
                           Session session,
                           java.lang.String message,
                           java.lang.Object[] params,
                           Accessor connection,
                           boolean shouldTranslate)

  PUBLIC: Create a new session log entry for a request level, a session, a message and an accessor

### SessionLogEntry

    public SessionLogEntry(Session session,
                           int level,
                           java.lang.String category,
                           java.lang.Throwable throwable)

  PUBLIC: Create a new session log entry for a session, a level, a category and an exception

Method Detail

### getConnection

    public Accessor getConnection()

  PUBLIC: Return the connection that generated the log entry.
  Overrides:
    `getConnection` in class `SessionLogEntry`

### getDate

    public java.util.Date getDate()

  PUBLIC: Return the date of the log entry.
  Overrides:
    `getDate` in class `SessionLogEntry`

### getException

    public java.lang.Throwable getException()

  PUBLIC: Return the exception that caused the log entry.
  Overrides:
    `getException` in class `SessionLogEntry`

### getMessage

    public java.lang.String getMessage()

  PUBLIC: Return the log entry's message.
  Overrides:
    `getMessage` in class `SessionLogEntry`

### getSession

    public Session getSession()

  PUBLIC: Return the session that generated the log entry.
  Overrides:
    `getSession` in class `SessionLogEntry`

### getThread

    public java.lang.Thread getThread()

  PUBLIC: Return the thread that was active when the log entry was generated.
  Overrides:
    `getThread` in class `SessionLogEntry`

### getLevel

    public int getLevel()

  PUBLIC: Return the request level of the log entry.
  Overrides:
    `getLevel` in class `SessionLogEntry`

### getNameSpace

    public java.lang.String getNameSpace()

  PUBLIC: Return the name space of the log entry.
  Overrides:
    `getNameSpace` in class `SessionLogEntry`

### getParameters

    public java.lang.Object[] getParameters()

  PUBLIC: Return the array of parameters to the message.
  Overrides:
    `getParameters` in class `SessionLogEntry`

### shouldTranslate

    public boolean shouldTranslate()

  PUBLIC: Return if the message should be translated.
  Overrides:
    `shouldTranslate` in class `SessionLogEntry`

### hasException

    public boolean hasException()

  PUBLIC: Return if the log entry was for an exception.
  Overrides:
    `hasException` in class `SessionLogEntry`

### setConnection

    public void setConnection(Accessor connection)

  PUBLIC: Set the connection that generated the log entry.
  Overrides:
    `setConnection` in class `SessionLogEntry`

### setDate

    public void setDate(java.util.Date date)

  PUBLIC: Set the date of the log entry.
  Overrides:
    `setDate` in class `SessionLogEntry`

### setException

    public void setException(java.lang.Throwable throwable)

  PUBLIC: Set the exception that caused the log entry.
  Overrides:
    `setException` in class `SessionLogEntry`

### setMessage

    public void setMessage(java.lang.String message)

  PUBLIC: Set the entry's message.
  Overrides:
    `setMessage` in class `SessionLogEntry`

### setSession

    public void setSession(Session session)

  PUBLIC: Set the session that generated the log entry.
  Overrides:
    `setSession` in class `SessionLogEntry`

### setThread

    public void setThread(java.lang.Thread thread)

  PUBLIC: Set the thread that was active when the log entry was generated.
  Overrides:
    `setThread` in class `SessionLogEntry`

### setLevel

    public void setLevel(int level)

  PUBLIC: Set the request level of the log entry.
  Overrides:
    `setLevel` in class `SessionLogEntry`

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

  PUBLIC: Set the name space of the log entry.
  Overrides:
    `setNameSpace` in class `SessionLogEntry`

### setParameters

    public void setParameters(java.lang.Object[] params)

  PUBLIC: Set the array of parameters to the message.
  Overrides:
    `setParameters` in class `SessionLogEntry`

### setShouldTranslate

    public void setShouldTranslate(boolean shouldTranslate)

  PUBLIC: Set if the message should be translated.
  Overrides:
    `setShouldTranslate` in class `SessionLogEntry`

### toString

    public java.lang.String toString()

  PUBLIC: Print message.
  Overrides:
    `toString` in class `SessionLogEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD